@font-face {
    font-family:'atkinson-hyperlegible-next';
    src: url('atkinson-300.woff2') format('woff2'), url('atkinson-300.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family:'atkinson-hyperlegible-next';
    src: url('atkinson-700.woff2') format('woff2'), url('atkinson-700.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family:'literata';
    src: url('literata.woff2') format('woff2'), url('literata.woff') format('woff');
    font-weight: normal;
    font-display: swap;
}

@font-face {
    font-family:'cookie';
    src: url('cookie.woff2') format('woff2'), url('cookie.woff') format('woff');
    font-weight: normal;
    font-display: swap;
}

:root {
    --primary: #150400;
    --beige: #ddcdbe;
    --links: #993300;
}

body {
    margin: 0;
    background: var(--beige) url('background-mobile.avif') 50% 0%;
    color: var(--primary);
    font: 14pt/1.4 atkinson-hyperlegible-next, sans-serif;
}


/* BORDERS */

.borders {
    position: fixed;
    top: 0;
    height: 120%;
    width: 10%;
    max-width: 145px;
    background-position-y: top;
    background-repeat: repeat;
    background-size: 100%;
}

.border-left {
    left: 0;
    background-image: url('border-left.avif');
}

.border-right {
    right: 0;
    background-image: url('border-right.avif');
}


/* NAVICON & NAV */

#nav-button {
    position: fixed;
    margin: .7em 10%;
    padding: 0 .8em .1em 2em;
    background-color: rgba(21,4,0,.7);
    background-image: url('data:image/svg+xml,<svg width="46mm" height="35mm" version="1.1" viewBox="0 0 46 35" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><defs><linearGradient id="linearGradient" x2="46" y1="17.5" y2="17.5" gradientUnits="userSpaceOnUse"><stop stop-color="%23ead6c3" offset="0" stop-opacity="0"/><stop stop-color="%23ead6c3" offset=".4"/><stop stop-color="%23ead6c3" offset=".6"/><stop stop-color="%23ead6c3" offset="1" stop-opacity="0"/></linearGradient></defs><g fill="url(%23linearGradient)"><rect y="0" width="46" height="5"/><rect y="15" width="46" height="5"/><rect y="30" width="46" height="5"/></g></svg>');
    background-size: auto 1em;
    background-position: .4em center;
    background-repeat: no-repeat;
    border: 0;
    border-radius: 10px;
    color: var(--beige);
    font: 1.3em/2 literata, serif;
    cursor: pointer;
    z-index: 10;
    animation: nav-button 1s 1;
}

@keyframes nav-button {
    0% { transform: translateY(-100vh); opacity: 0; }
    60% { transform: translateY(5vh) scale(1.6); }
    100% { transform: translateY(0vh); opacity: 1; }
}

nav {
    font: 1.25em/1 literata, serif;
    text-align: center;
    border: 0;
    background-color: rgba(221,205,190,.94);
    box-shadow: 0 4px 15px 0 rgba(25,23,27,.5);
    border-radius: 6px;
    padding: 1em;
    min-width: 33%;
    animation: nav 600ms 1;
}

@keyframes nav {
    0% { transform: translateY(100vh); opacity: 0; }
    60% { transform: translateY(-5vh); }
    100% { transform: translateY(0vh); opacity: 1; }
}

nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

nav a {
    display: block;
    color: inherit;
    text-decoration: none;
    padding: .5em 0;
    transition: letter-spacing 200ms ease;
}

nav a:hover {
    letter-spacing: 2px;
}


/* HEADER */

header {
    display: block;
    position: relative;
    width: 100%;
    height: 100vw;
    background: url('header-600x600.avif') center/cover;
}

header #logo {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 38%;
    z-index: 2;
    transition: opacity 450ms ease-in;
}

header:hover #logo {
    opacity: .2;
}

header video {
    /* video resolution desktop: 1920 x 660, aspect-ratio: 32:11 */
    /* video resolution mobile: 600 x 600, aspect-ratio: 1:1 */
    display: block;
    width: 100%;
    box-shadow: 0 4px 15px 0 rgba(25,23,27,.5);
    aspect-ratio: 1;
    pointer-events: none;
    object-fit: cover; /* in case of changing the orientation */
}


/* MAIN */

main {
    display: block;
    margin: auto;
    width: 80%;
    max-width: 900px;
}

h1, h2 {
    text-align: center;
    hyphens:  auto;
    hyphenate-limit-chars: 4 4 4;
}

h1 {
    font: 2.5em cookie, serif;
    line-height: 1;
}

h2 {
    font: 1.5em literata, serif;
    text-decoration: underline;
    text-transform: uppercase;
    line-height: 1.2;
    margin-top: 1.5em;
}

main a,
footer a {
    color: var(--links);
}

.images {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: .5em;
    padding: .5em;
}

main img,
main video {
    border: 1px solid var(--primary);
    max-width: 100%;
    height: auto;
}

main ul,
main ol {
    padding-left: 25px;
}

main li {
    line-height: 1.3;
    margin-bottom: .25em;
}


/* FORM */

form {
    margin: auto;
    max-width: 600px;
}

label {
    display: block;
    font-size: .9em;
    line-height: 1.2;
}

label span {
    color: var(--links);
}

input,
textarea {
    display: block;
    width: 100%;
    box-sizing: border-box;
    border: 0;
    font: inherit;
    background-color: rgba(21,4,0,.8);
    color: var(--beige);
    padding: .25em .5em;
    opacity: .8;
    transition: opacity 400ms ease;
    margin-bottom: .6em;
    border-radius: 4px;
    resize: vertical;
}

input:focus,
textarea:focus {
    opacity: 1;
}


/* FOOTER */

footer {
    display: block;
    background-color: rgba(118,104,92,.3);
    font: .9em literata, serif;
    text-align: center;
    line-height: inherit;
    padding: 2em 10%;
}

footer img {
    max-width: 100%;
}

footer p:last-of-type {
    margin-top: 2em;
    font-size: .9em;
    opacity: .75;
}

footer p:last-of-type:hover {
    opacity: 1;
}


/* LANDSCAPE ORIENTATION */


@media (orientation: landscape) {
    header {
        height: 34.375vw;
         background-image: url('header-1920x660.avif');
    }

    header video {
        aspect-ratio: 32/11;
    }

    main ul,
    main ol {
        padding-left: 40px;
    }
}